Subject: Re: BUG REPORT: patch
From: [email-masked] (Earnie Boyd)

9 Mar 1998 04:36:35 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>To: [email-masked]
>Subject: Re: BUG REPORT: patch
>From: David Fox <[email-masked]>
>Date: 08 Mar 1998 23:24:59 -0500
>
>David Fox <[email-masked]> writes:
>
>> Geoffroy Montel <[email-masked]> writes:
>> 
>> > There's a slight bug in the patch command: the files processed by
>> > "patch" then have the DOS format.... a bit annoying isn't it?
>> 
>> "sed" does the same thing.
>
>I know that files, and specifically the output file, is opened in text
>mode by default, but this is a problem for me if the input file
>happened to be a unix style text file.  I also know that there is a
>"registry" variable you can set to control this behavior, but I'm not
>very familiar with Windows terminology - is a registry variable a
>value that can be adjusted on a per-process basis, like an environment
>variable?  It doesn't sound like it is, it sounds more like an X
>windows resource.  I could live with an environment variable.

The environment variable is CYGWIN32 the value to add to the list of 
values is binmode for "binary" default open mode and nobinmode for 
"text" default open mode.  Note this was added to b19.

>
>-david
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".